function [u_vel vel_comps] = calcMotionVectorCentralM(pos, x_i, goal)
global cGains POINT_OFFSET

    frontpos(1) = pos(1) + POINT_OFFSET*cos(pos(3));
    frontpos(2) = pos(2) + POINT_OFFSET*sin(pos(3)); 
    
    controller = [1 0 2*(frontpos(1)-x_i(1))   (frontpos(2)-x_i(2))       0    ;
                  0 1 0 (frontpos(1)-x_i(1)) 2*(frontpos(2)-x_i(2))];
    
    x_vel_comp = controller(1,:)*cGains.*(goal'-x_i)';
    y_vel_comp = controller(2,:)*cGains.*(goal'-x_i)';
    vel_comps = [x_vel_comp;y_vel_comp];
    
    u_vel = controller*cGains*(goal'-x_i);
end

